/*******************************************************************************
* File Name: Pin_Address_Low.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pin_Address_Low_ALIASES_H) /* Pins Pin_Address_Low_ALIASES_H */
#define CY_PINS_Pin_Address_Low_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Pin_Address_Low_0			(Pin_Address_Low__0__PC)
#define Pin_Address_Low_0_PS		(Pin_Address_Low__0__PS)
#define Pin_Address_Low_0_PC		(Pin_Address_Low__0__PC)
#define Pin_Address_Low_0_DR		(Pin_Address_Low__0__DR)
#define Pin_Address_Low_0_SHIFT	(Pin_Address_Low__0__SHIFT)
#define Pin_Address_Low_0_INTR	((uint16)((uint16)0x0003u << (Pin_Address_Low__0__SHIFT*2u)))

#define Pin_Address_Low_1			(Pin_Address_Low__1__PC)
#define Pin_Address_Low_1_PS		(Pin_Address_Low__1__PS)
#define Pin_Address_Low_1_PC		(Pin_Address_Low__1__PC)
#define Pin_Address_Low_1_DR		(Pin_Address_Low__1__DR)
#define Pin_Address_Low_1_SHIFT	(Pin_Address_Low__1__SHIFT)
#define Pin_Address_Low_1_INTR	((uint16)((uint16)0x0003u << (Pin_Address_Low__1__SHIFT*2u)))

#define Pin_Address_Low_2			(Pin_Address_Low__2__PC)
#define Pin_Address_Low_2_PS		(Pin_Address_Low__2__PS)
#define Pin_Address_Low_2_PC		(Pin_Address_Low__2__PC)
#define Pin_Address_Low_2_DR		(Pin_Address_Low__2__DR)
#define Pin_Address_Low_2_SHIFT	(Pin_Address_Low__2__SHIFT)
#define Pin_Address_Low_2_INTR	((uint16)((uint16)0x0003u << (Pin_Address_Low__2__SHIFT*2u)))

#define Pin_Address_Low_3			(Pin_Address_Low__3__PC)
#define Pin_Address_Low_3_PS		(Pin_Address_Low__3__PS)
#define Pin_Address_Low_3_PC		(Pin_Address_Low__3__PC)
#define Pin_Address_Low_3_DR		(Pin_Address_Low__3__DR)
#define Pin_Address_Low_3_SHIFT	(Pin_Address_Low__3__SHIFT)
#define Pin_Address_Low_3_INTR	((uint16)((uint16)0x0003u << (Pin_Address_Low__3__SHIFT*2u)))

#define Pin_Address_Low_4			(Pin_Address_Low__4__PC)
#define Pin_Address_Low_4_PS		(Pin_Address_Low__4__PS)
#define Pin_Address_Low_4_PC		(Pin_Address_Low__4__PC)
#define Pin_Address_Low_4_DR		(Pin_Address_Low__4__DR)
#define Pin_Address_Low_4_SHIFT	(Pin_Address_Low__4__SHIFT)
#define Pin_Address_Low_4_INTR	((uint16)((uint16)0x0003u << (Pin_Address_Low__4__SHIFT*2u)))

#define Pin_Address_Low_5			(Pin_Address_Low__5__PC)
#define Pin_Address_Low_5_PS		(Pin_Address_Low__5__PS)
#define Pin_Address_Low_5_PC		(Pin_Address_Low__5__PC)
#define Pin_Address_Low_5_DR		(Pin_Address_Low__5__DR)
#define Pin_Address_Low_5_SHIFT	(Pin_Address_Low__5__SHIFT)
#define Pin_Address_Low_5_INTR	((uint16)((uint16)0x0003u << (Pin_Address_Low__5__SHIFT*2u)))

#define Pin_Address_Low_6			(Pin_Address_Low__6__PC)
#define Pin_Address_Low_6_PS		(Pin_Address_Low__6__PS)
#define Pin_Address_Low_6_PC		(Pin_Address_Low__6__PC)
#define Pin_Address_Low_6_DR		(Pin_Address_Low__6__DR)
#define Pin_Address_Low_6_SHIFT	(Pin_Address_Low__6__SHIFT)
#define Pin_Address_Low_6_INTR	((uint16)((uint16)0x0003u << (Pin_Address_Low__6__SHIFT*2u)))

#define Pin_Address_Low_7			(Pin_Address_Low__7__PC)
#define Pin_Address_Low_7_PS		(Pin_Address_Low__7__PS)
#define Pin_Address_Low_7_PC		(Pin_Address_Low__7__PC)
#define Pin_Address_Low_7_DR		(Pin_Address_Low__7__DR)
#define Pin_Address_Low_7_SHIFT	(Pin_Address_Low__7__SHIFT)
#define Pin_Address_Low_7_INTR	((uint16)((uint16)0x0003u << (Pin_Address_Low__7__SHIFT*2u)))

#define Pin_Address_Low_INTR_ALL	 ((uint16)(Pin_Address_Low_0_INTR| Pin_Address_Low_1_INTR| Pin_Address_Low_2_INTR| Pin_Address_Low_3_INTR| Pin_Address_Low_4_INTR| Pin_Address_Low_5_INTR| Pin_Address_Low_6_INTR| Pin_Address_Low_7_INTR))


#endif /* End Pins Pin_Address_Low_ALIASES_H */


/* [] END OF FILE */
